Package com.ocient.jdbc.proto

## Enum PlanProtocol.WindowOperator.WindowOp

- java.lang.Object
- - java.lang.Enum<PlanProtocol.WindowOperator.WindowOp>
  - - com.ocient.jdbc.proto.PlanProtocol.WindowOperator.WindowOp

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.WindowOperator.WindowOp>`

Enclosing class:
  PlanProtocol.WindowOperator

    public static enum PlanProtocol.WindowOperator.WindowOp
    extends Enum<PlanProtocol.WindowOperator.WindowOp>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.WindowOperator.WindowOp`

### Enum Constant Summary

Enum Constants
`INVALID` `INVALID = 0;`
`UNRECOGNIZED`
`WINDOW_OP_COUNT` `WINDOW_OP_COUNT = 2;`
`WINDOW_OP_COUNT_STAR` Takes no argument
`WINDOW_OP_CUME_DIST` Takes no argument
`WINDOW_OP_DENSE_RANK` `WINDOW_OP_DENSE_RANK = 7;`
`WINDOW_OP_FIRST_VALUE` `WINDOW_OP_FIRST_VALUE = 9;`
`WINDOW_OP_FIRST_VALUE_IGNORE_NULLS` `WINDOW_OP_FIRST_VALUE_IGNORE_NULLS = 19;`
`WINDOW_OP_LAG` `WINDOW_OP_LAG = 13;`
`WINDOW_OP_LAST_VALUE` `WINDOW_OP_LAST_VALUE = 10;`
`WINDOW_OP_LAST_VALUE_IGNORE_NULLS` `WINDOW_OP_LAST_VALUE_IGNORE_NULLS = 20;`
`WINDOW_OP_LEAD` Takes a normal column argument plus a constant positive integer argument
`WINDOW_OP_MAX` `WINDOW_OP_MAX = 5;`
`WINDOW_OP_MIN` Takes a normal column argument
`WINDOW_OP_NTH_VALUE` Takes an argument that must be constant and positive integer
`WINDOW_OP_NTH_VALUE_IGNORE_NULLS` `WINDOW_OP_NTH_VALUE_IGNORE_NULLS = 21;`
`WINDOW_OP_NTILE` Takes an argument that must be constant and positive integer
`WINDOW_OP_PERCENT_RANK` `WINDOW_OP_PERCENT_RANK = 15;`
`WINDOW_OP_PERCENTILE` Takes a normal column argument and an argument that must be constant and be floating point between 0 and 1
`WINDOW_OP_PRODUCT` `WINDOW_OP_PRODUCT = 22;`
`WINDOW_OP_RANK` Takes no argument
`WINDOW_OP_RATIO_TO_REPORT` Takes a normal column argument
`WINDOW_OP_ROW_NUMBER` `WINDOW_OP_ROW_NUMBER = 8;`
`WINDOW_OP_SUM` Takes a normal column argument

### Field Summary

Fields
`static int` `INVALID_VALUE` `INVALID = 0;`
`static int` `WINDOW_OP_COUNT_STAR_VALUE` Takes no argument
`static int` `WINDOW_OP_COUNT_VALUE` `WINDOW_OP_COUNT = 2;`
`static int` `WINDOW_OP_CUME_DIST_VALUE` Takes no argument
`static int` `WINDOW_OP_DENSE_RANK_VALUE` `WINDOW_OP_DENSE_RANK = 7;`
`static int` `WINDOW_OP_FIRST_VALUE_IGNORE_NULLS_VALUE` `WINDOW_OP_FIRST_VALUE_IGNORE_NULLS = 19;`
`static int` `WINDOW_OP_FIRST_VALUE_VALUE` `WINDOW_OP_FIRST_VALUE = 9;`
`static int` `WINDOW_OP_LAG_VALUE` `WINDOW_OP_LAG = 13;`
`static int` `WINDOW_OP_LAST_VALUE_IGNORE_NULLS_VALUE` `WINDOW_OP_LAST_VALUE_IGNORE_NULLS = 20;`
`static int` `WINDOW_OP_LAST_VALUE_VALUE` `WINDOW_OP_LAST_VALUE = 10;`
`static int` `WINDOW_OP_LEAD_VALUE` Takes a normal column argument plus a constant positive integer argument
`static int` `WINDOW_OP_MAX_VALUE` `WINDOW_OP_MAX = 5;`
`static int` `WINDOW_OP_MIN_VALUE` Takes a normal column argument
`static int` `WINDOW_OP_NTH_VALUE_IGNORE_NULLS_VALUE` `WINDOW_OP_NTH_VALUE_IGNORE_NULLS = 21;`
`static int` `WINDOW_OP_NTH_VALUE_VALUE` Takes an argument that must be constant and positive integer
`static int` `WINDOW_OP_NTILE_VALUE` Takes an argument that must be constant and positive integer
`static int` `WINDOW_OP_PERCENT_RANK_VALUE` `WINDOW_OP_PERCENT_RANK = 15;`
`static int` `WINDOW_OP_PERCENTILE_VALUE` Takes a normal column argument and an argument that must be constant and be floating point between 0 and 1
`static int` `WINDOW_OP_PRODUCT_VALUE` `WINDOW_OP_PRODUCT = 22;`
`static int` `WINDOW_OP_RANK_VALUE` Takes no argument
`static int` `WINDOW_OP_RATIO_TO_REPORT_VALUE` Takes a normal column argument
`static int` `WINDOW_OP_ROW_NUMBER_VALUE` `WINDOW_OP_ROW_NUMBER = 8;`
`static int` `WINDOW_OP_SUM_VALUE` Takes a normal column argument

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PlanProtocol.WindowOperator.WindowOp` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.WindowOperator.WindowOp>` `internalGetValueMap()`
`static PlanProtocol.WindowOperator.WindowOp` `valueOf​(int value)` Deprecated.
`static PlanProtocol.WindowOperator.WindowOp` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.WindowOperator.WindowOp` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.WindowOperator.WindowOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID

    public static final PlanProtocol.WindowOperator.WindowOp INVALID

`INVALID = 0;`

#### WINDOW_OP_SUM

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_SUM

    Takes a normal column argument

`WINDOW_OP_SUM = 1;`

#### WINDOW_OP_COUNT

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_COUNT

`WINDOW_OP_COUNT = 2;`

#### WINDOW_OP_COUNT_STAR

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_COUNT_STAR

    Takes no argument

`WINDOW_OP_COUNT_STAR = 3;`

#### WINDOW_OP_MIN

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_MIN

    Takes a normal column argument

`WINDOW_OP_MIN = 4;`

#### WINDOW_OP_MAX

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_MAX

`WINDOW_OP_MAX = 5;`

#### WINDOW_OP_RANK

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_RANK

    Takes no argument

`WINDOW_OP_RANK = 6;`

#### WINDOW_OP_DENSE_RANK

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_DENSE_RANK

`WINDOW_OP_DENSE_RANK = 7;`

#### WINDOW_OP_ROW_NUMBER

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_ROW_NUMBER

`WINDOW_OP_ROW_NUMBER = 8;`

#### WINDOW_OP_FIRST_VALUE

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_FIRST_VALUE

`WINDOW_OP_FIRST_VALUE = 9;`

#### WINDOW_OP_LAST_VALUE

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_LAST_VALUE

`WINDOW_OP_LAST_VALUE = 10;`

#### WINDOW_OP_NTH_VALUE

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_NTH_VALUE

    Takes an argument that must be constant and positive integer

`WINDOW_OP_NTH_VALUE = 11;`

#### WINDOW_OP_LEAD

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_LEAD

    Takes a normal column argument plus a constant positive integer argument

`WINDOW_OP_LEAD = 12;`

#### WINDOW_OP_LAG

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_LAG

`WINDOW_OP_LAG = 13;`

#### WINDOW_OP_CUME_DIST

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_CUME_DIST

    Takes no argument

`WINDOW_OP_CUME_DIST = 14;`

#### WINDOW_OP_PERCENT_RANK

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_PERCENT_RANK

`WINDOW_OP_PERCENT_RANK = 15;`

#### WINDOW_OP_NTILE

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_NTILE

    Takes an argument that must be constant and positive integer

`WINDOW_OP_NTILE = 16;`

#### WINDOW_OP_PERCENTILE

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_PERCENTILE

    Takes a normal column argument and an argument that must be constant and be floating point between 0 and 1

`WINDOW_OP_PERCENTILE = 17;`

#### WINDOW_OP_RATIO_TO_REPORT

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_RATIO_TO_REPORT

    Takes a normal column argument

`WINDOW_OP_RATIO_TO_REPORT = 18;`

#### WINDOW_OP_FIRST_VALUE_IGNORE_NULLS

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_FIRST_VALUE_IGNORE_NULLS

`WINDOW_OP_FIRST_VALUE_IGNORE_NULLS = 19;`

#### WINDOW_OP_LAST_VALUE_IGNORE_NULLS

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_LAST_VALUE_IGNORE_NULLS

`WINDOW_OP_LAST_VALUE_IGNORE_NULLS = 20;`

#### WINDOW_OP_NTH_VALUE_IGNORE_NULLS

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_NTH_VALUE_IGNORE_NULLS

`WINDOW_OP_NTH_VALUE_IGNORE_NULLS = 21;`

#### WINDOW_OP_PRODUCT

    public static final PlanProtocol.WindowOperator.WindowOp WINDOW_OP_PRODUCT

`WINDOW_OP_PRODUCT = 22;`

#### UNRECOGNIZED

    public static final PlanProtocol.WindowOperator.WindowOp UNRECOGNIZED

### Field Detail

#### INVALID_VALUE

    public static final int INVALID_VALUE

`INVALID = 0;`

See Also:
  Constant Field Values

#### WINDOW_OP_SUM_VALUE

    public static final int WINDOW_OP_SUM_VALUE

    Takes a normal column argument

`WINDOW_OP_SUM = 1;`

See Also:
  Constant Field Values

#### WINDOW_OP_COUNT_VALUE

    public static final int WINDOW_OP_COUNT_VALUE

`WINDOW_OP_COUNT = 2;`

See Also:
  Constant Field Values

#### WINDOW_OP_COUNT_STAR_VALUE

    public static final int WINDOW_OP_COUNT_STAR_VALUE

    Takes no argument

`WINDOW_OP_COUNT_STAR = 3;`

See Also:
  Constant Field Values

#### WINDOW_OP_MIN_VALUE

    public static final int WINDOW_OP_MIN_VALUE

    Takes a normal column argument

`WINDOW_OP_MIN = 4;`

See Also:
  Constant Field Values

#### WINDOW_OP_MAX_VALUE

    public static final int WINDOW_OP_MAX_VALUE

`WINDOW_OP_MAX = 5;`

See Also:
  Constant Field Values

#### WINDOW_OP_RANK_VALUE

    public static final int WINDOW_OP_RANK_VALUE

    Takes no argument

`WINDOW_OP_RANK = 6;`

See Also:
  Constant Field Values

#### WINDOW_OP_DENSE_RANK_VALUE

    public static final int WINDOW_OP_DENSE_RANK_VALUE

`WINDOW_OP_DENSE_RANK = 7;`

See Also:
  Constant Field Values

#### WINDOW_OP_ROW_NUMBER_VALUE

    public static final int WINDOW_OP_ROW_NUMBER_VALUE

`WINDOW_OP_ROW_NUMBER = 8;`

See Also:
  Constant Field Values

#### WINDOW_OP_FIRST_VALUE_VALUE

    public static final int WINDOW_OP_FIRST_VALUE_VALUE

`WINDOW_OP_FIRST_VALUE = 9;`

See Also:
  Constant Field Values

#### WINDOW_OP_LAST_VALUE_VALUE

    public static final int WINDOW_OP_LAST_VALUE_VALUE

`WINDOW_OP_LAST_VALUE = 10;`

See Also:
  Constant Field Values

#### WINDOW_OP_NTH_VALUE_VALUE

    public static final int WINDOW_OP_NTH_VALUE_VALUE

    Takes an argument that must be constant and positive integer

`WINDOW_OP_NTH_VALUE = 11;`

See Also:
  Constant Field Values

#### WINDOW_OP_LEAD_VALUE

    public static final int WINDOW_OP_LEAD_VALUE

    Takes a normal column argument plus a constant positive integer argument

`WINDOW_OP_LEAD = 12;`

See Also:
  Constant Field Values

#### WINDOW_OP_LAG_VALUE

    public static final int WINDOW_OP_LAG_VALUE

`WINDOW_OP_LAG = 13;`

See Also:
  Constant Field Values

#### WINDOW_OP_CUME_DIST_VALUE

    public static final int WINDOW_OP_CUME_DIST_VALUE

    Takes no argument

`WINDOW_OP_CUME_DIST = 14;`

See Also:
  Constant Field Values

#### WINDOW_OP_PERCENT_RANK_VALUE

    public static final int WINDOW_OP_PERCENT_RANK_VALUE

`WINDOW_OP_PERCENT_RANK = 15;`

See Also:
  Constant Field Values

#### WINDOW_OP_NTILE_VALUE

    public static final int WINDOW_OP_NTILE_VALUE

    Takes an argument that must be constant and positive integer

`WINDOW_OP_NTILE = 16;`

See Also:
  Constant Field Values

#### WINDOW_OP_PERCENTILE_VALUE

    public static final int WINDOW_OP_PERCENTILE_VALUE

    Takes a normal column argument and an argument that must be constant and be floating point between 0 and 1

`WINDOW_OP_PERCENTILE = 17;`

See Also:
  Constant Field Values

#### WINDOW_OP_RATIO_TO_REPORT_VALUE

    public static final int WINDOW_OP_RATIO_TO_REPORT_VALUE

    Takes a normal column argument

`WINDOW_OP_RATIO_TO_REPORT = 18;`

See Also:
  Constant Field Values

#### WINDOW_OP_FIRST_VALUE_IGNORE_NULLS_VALUE

    public static final int WINDOW_OP_FIRST_VALUE_IGNORE_NULLS_VALUE

`WINDOW_OP_FIRST_VALUE_IGNORE_NULLS = 19;`

See Also:
  Constant Field Values

#### WINDOW_OP_LAST_VALUE_IGNORE_NULLS_VALUE

    public static final int WINDOW_OP_LAST_VALUE_IGNORE_NULLS_VALUE

`WINDOW_OP_LAST_VALUE_IGNORE_NULLS = 20;`

See Also:
  Constant Field Values

#### WINDOW_OP_NTH_VALUE_IGNORE_NULLS_VALUE

    public static final int WINDOW_OP_NTH_VALUE_IGNORE_NULLS_VALUE

`WINDOW_OP_NTH_VALUE_IGNORE_NULLS = 21;`

See Also:
  Constant Field Values

#### WINDOW_OP_PRODUCT_VALUE

    public static final int WINDOW_OP_PRODUCT_VALUE

`WINDOW_OP_PRODUCT = 22;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PlanProtocol.WindowOperator.WindowOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanProtocol.WindowOperator.WindowOp c : PlanProtocol.WindowOperator.WindowOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanProtocol.WindowOperator.WindowOp valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static PlanProtocol.WindowOperator.WindowOp valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static PlanProtocol.WindowOperator.WindowOp forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.WindowOperator.WindowOp> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static PlanProtocol.WindowOperator.WindowOp valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null